
package de.ivu.elect.was.exchange.ergebnis;

import javax.enterprise.inject.Instance;
import javax.inject.Inject;

import de.ivu.elect.business.ergebnis.control.NlWasModelN101BulkExportExchange;
import de.ivu.elect.core.exchange.wahl.AbstractDefaultNlExportArtefaktNachSystemExportstatusBulkExportExchange;

public class DefaultNlWasModelN101BulkExportExchange extends AbstractDefaultNlExportArtefaktNachSystemExportstatusBulkExportExchange implements NlWasModelN101BulkExportExchange {

  @Inject
  private transient Instance<NlWasModelN101BulkExportMapper> mappers;

  public DefaultNlWasModelN101BulkExportExchange() {
    super();
  }

  @Override
  protected Iterable< ? extends NlWasModelN101BulkExportMapper> getAllSupportedMapper() {
    return mappers;
  }
}
